Index: trunk/services/logs.php
===================================================================
--- trunk/services/logs.php	(revision 124)
+++ trunk/services/logs.php	(revision 136)
@@ -9,5 +9,5 @@
 $auth->requireLogin();
 // $auth->requireAccessClearance(ZONE_ADMIN_APPLOG);
-App::sslOn();
+$app->sslOn();
 
 require_once 'codebase/lib/PageNumbers.inc.php';
@@ -39,9 +39,10 @@
 
 // Set the defaults and catch incoming settings.
-Prefs::setDefault('log_file', App::getParam('log_filename'), 'logs_module');
-Prefs::setValue('log_file', getFormData('log'), 'logs_module');
+$prefs =& Prefs::getInstance();
+$prefs->setDefault('log_file', $app->getParam('log_filename'), 'logs_module');
+$prefs->set('log_file', getFormData('log'), 'logs_module');
 
 // Titles and navigation header.
-$nav->addPage(sprintf(_("Viewing log: <em>%s</em>"), Prefs::getValue('log_file', 'logs_module')), '/admin/logs.php');
+$nav->addPage(sprintf(_("Viewing log: <em>%s</em>"), $prefs->get('log_file', 'logs_module')), '/admin/logs.php');
 
 /******************************************************************************
@@ -56,37 +57,37 @@
 case 'delete' :
 //     $auth->requireAccessClearance(ZONE_ADMIN_APPLOG_FUNC_RESET);
-    deleteLog(Prefs::getValue('log_file', 'logs_module'));
-    Prefs::setValue('log_file', App::getParam('log_filename'), 'logs_module');
-    if (App::validBoomerangURL('app_log')) {
+    deleteLog($prefs->get('log_file', 'logs_module'));
+    $prefs->set('log_file', $app->getParam('log_filename'), 'logs_module');
+    if ($app->validBoomerangURL('app_log')) {
         // Display boomerang page.
-        App::dieBoomerangURL('app_log');
+        $app->dieBoomerangURL('app_log');
     }
     // Display default page.
-    App::dieURL($_SERVER['PHP_SELF']);
+    $app->dieURL($_SERVER['PHP_SELF']);
     break;
 
 case 'clear' :
 //     $auth->requireAccessClearance(ZONE_ADMIN_APPLOG_FUNC_RESET);
-    clearLog(Prefs::getValue('log_file', 'logs_module'));
-    if (App::validBoomerangURL('app_log')) {
+    clearLog($prefs->get('log_file', 'logs_module'));
+    if ($app->validBoomerangURL('app_log')) {
         // Display boomerang page.
-        App::dieBoomerangURL('app_log');
+        $app->dieBoomerangURL('app_log');
     }
     // Display default page.
-    App::dieURL($_SERVER['PHP_SELF']);
+    $app->dieURL($_SERVER['PHP_SELF']);
     break;
 
 case 'archive' :
 //     $auth->requireAccessClearance(ZONE_ADMIN_APPLOG_FUNC_RESET);
-    if (archiveLog(Prefs::getValue('log_file', 'logs_module'))) {
+    if (archiveLog($prefs->get('log_file', 'logs_module'))) {
         // Now flush current log.
-        App::dieURL($_SERVER['PHP_SELF'] . '?op=clear');
-    }
-    if (App::validBoomerangURL('app_log')) {
+        $app->dieURL($_SERVER['PHP_SELF'] . '?op=clear');
+    }
+    if ($app->validBoomerangURL('app_log')) {
         // Display boomerang page.
-        App::dieBoomerangURL('app_log');
+        $app->dieBoomerangURL('app_log');
     }
     // Display default page.
-    App::dieURL($_SERVER['PHP_SELF']);
+    $app->dieURL($_SERVER['PHP_SELF']);
     break;
 
@@ -97,11 +98,11 @@
 case 'download' :
     header('Content-Type: application/octet-stream');
-    header(sprintf('Content-Disposition: attachment; filename=%s.txt', Prefs::getValue('log_file', 'logs_module')));
-    printLog(Prefs::getValue('log_file', 'logs_module'));
+    header(sprintf('Content-Disposition: attachment; filename=%s.txt', $prefs->get('log_file', 'logs_module')));
+    printLog($prefs->get('log_file', 'logs_module'));
     die;
     break;
 
 default :
-    $list =& getLog(Prefs::getValue('log_file', 'logs_module'), getFormData('search_query'));
+    $list =& getLog($prefs->get('log_file', 'logs_module'), getFormData('search_query'));
     $main_template = 'log_list.ihtml';
     break;
@@ -125,5 +126,5 @@
 include 'header.ihtml';
 if ('output' == $main_template) {
-    printLog(Prefs::getValue('log_file', 'logs_module'));
+    printLog($prefs->get('log_file', 'logs_module'));
 } else {
     include 'codebase/services/templates/' . $main_template;
@@ -138,23 +139,25 @@
 function deleteLog($log_file)
 {
-    if (!file_exists(App::getParam('log_directory') . '/' . $log_file)) {
-        App::raiseMsg(sprintf(_("Log file %s does not exist."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
-        App::logMsg(sprintf('Cannot delete nonexistent log file %s', App::getParam('log_directory') . '/' . $log_file), LOG_INFO, __FILE__, __LINE__);
-        return false;
-    }
-
-    if (!is_writable(App::getParam('log_directory') . '/' . $log_file) && !is_writable(App::getParam('log_directory'))) {
-        App::raiseMsg(sprintf(_("Log file %s could not be deleted."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
-        App::logMsg(sprintf('Cannot delete log file %s, not writable.', App::getParam('log_directory') . '/' . $log_file), LOG_INFO, __FILE__, __LINE__);
-        return false;
-    }
-
-    if (unlink(App::getParam('log_directory') . '/' . $log_file)) {
-        App::raiseMsg(sprintf(_("Log file %s has been deleted."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
-        App::logMsg(sprintf('Log file %s has been deleted', $log_file), LOG_INFO, __FILE__, __LINE__);
+	$app =& App::getInstance();
+
+    if (!file_exists($app->getParam('log_directory') . '/' . $log_file)) {
+        $app->raiseMsg(sprintf(_("Log file %s does not exist."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
+        $app->logMsg(sprintf('Cannot delete nonexistent log file %s', $app->getParam('log_directory') . '/' . $log_file), LOG_INFO, __FILE__, __LINE__);
+        return false;
+    }
+
+    if (!is_writable($app->getParam('log_directory') . '/' . $log_file) && !is_writable($app->getParam('log_directory'))) {
+        $app->raiseMsg(sprintf(_("Log file %s could not be deleted."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
+        $app->logMsg(sprintf('Cannot delete log file %s, not writable.', $app->getParam('log_directory') . '/' . $log_file), LOG_INFO, __FILE__, __LINE__);
+        return false;
+    }
+
+    if (unlink($app->getParam('log_directory') . '/' . $log_file)) {
+        $app->raiseMsg(sprintf(_("Log file %s has been deleted."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
+        $app->logMsg(sprintf('Log file %s has been deleted', $log_file), LOG_INFO, __FILE__, __LINE__);
         return true;
     } else {
-        App::raiseMsg(sprintf(_("Log file %s could not be deleted."), $log_file), MSG_WARNING, __FILE__, __LINE__);
-        App::logMsg(sprintf('unlink failed on log file %s', App::getParam('log_directory') . '/' . $log_file), LOG_WARNING, __FILE__, __LINE__);
+        $app->raiseMsg(sprintf(_("Log file %s could not be deleted."), $log_file), MSG_WARNING, __FILE__, __LINE__);
+        $app->logMsg(sprintf('unlink failed on log file %s', $app->getParam('log_directory') . '/' . $log_file), LOG_WARNING, __FILE__, __LINE__);
         return false;
     }
@@ -163,7 +166,9 @@
 function clearLog($log_file)
 {
-    if (!$fp = fopen(App::getParam('log_directory') . '/' . $log_file, 'r+')) {
-        App::raiseMsg(sprintf(_("Log file %s could not be opened."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
-        App::logMsg(sprintf('fopen failed on log file %s', App::getParam('log_directory') . '/' . $log_file), LOG_INFO, __FILE__, __LINE__);
+	$app =& App::getInstance();
+
+    if (!$fp = fopen($app->getParam('log_directory') . '/' . $log_file, 'r+')) {
+        $app->raiseMsg(sprintf(_("Log file %s could not be opened."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
+        $app->logMsg(sprintf('fopen failed on log file %s', $app->getParam('log_directory') . '/' . $log_file), LOG_INFO, __FILE__, __LINE__);
         return false;
     }
@@ -174,10 +179,10 @@
     fclose($fp);
     if (!$ftruncate_return) {
-        App::raiseMsg(sprintf(_("Log file %s could not be cleared."), $log_file), MSG_WARNING, __FILE__, __LINE__);
-        App::logMsg(sprintf('ftruncate failed on log file %s', App::getParam('log_directory') . '/' . $log_file), LOG_WARNING, __FILE__, __LINE__);
+        $app->raiseMsg(sprintf(_("Log file %s could not be cleared."), $log_file), MSG_WARNING, __FILE__, __LINE__);
+        $app->logMsg(sprintf('ftruncate failed on log file %s', $app->getParam('log_directory') . '/' . $log_file), LOG_WARNING, __FILE__, __LINE__);
         return false;
     } else {
-        App::raiseMsg(sprintf(_("Log file %s has been cleared."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
-        App::logMsg(sprintf('Log file %s has been cleared', $log_file), LOG_INFO, __FILE__, __LINE__);
+        $app->raiseMsg(sprintf(_("Log file %s has been cleared."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
+        $app->logMsg(sprintf('Log file %s has been cleared', $log_file), LOG_INFO, __FILE__, __LINE__);
         return true;
     }
@@ -186,19 +191,21 @@
 function archiveLog($log_file)
 {
+	$app =& App::getInstance();
+
     $old_file_name = $log_file;
     $new_file_name = $log_file . '__' . date('Y-m-d');
-    If (!is_writable(App::getParam('log_directory') . '')) {
-        App::raiseMsg(sprintf('Cannot archive log, log directory not writable: %s', App::getParam('log_directory')), MSG_WARNING, __FILE__, __LINE__);
-        App::logMsg(sprintf('Cannot archive log, log directory not writable: %s', App::getParam('log_directory')), LOG_WARNING, __FILE__, __LINE__);
-        return false;
-    }
-    If (!copy(App::getParam('log_directory') . '/' . $old_file_name, App::getParam('log_directory') . '/' . $new_file_name)) {
-        App::raiseMsg(sprintf(_("Cannot archive log, copying old log file failed."), null), MSG_WARNING, __FILE__, __LINE__);
-        App::logMsg(sprintf('Cannot archive log, copying old log file failed.', null), LOG_WARNING, __FILE__, __LINE__);
-        return false;
-    }
-
-    App::raiseMsg(sprintf(_("Log file %s has been archived to %s."), $old_file_name, $new_file_name), MSG_NOTICE, __FILE__, __LINE__);
-    App::logMsg(sprintf('Log file %s has been archived to %s.', $old_file_name, $new_file_name), LOG_NOTICE, __FILE__, __LINE__);
+    If (!is_writable($app->getParam('log_directory') . '')) {
+        $app->raiseMsg(sprintf('Cannot archive log, log directory not writable: %s', $app->getParam('log_directory')), MSG_WARNING, __FILE__, __LINE__);
+        $app->logMsg(sprintf('Cannot archive log, log directory not writable: %s', $app->getParam('log_directory')), LOG_WARNING, __FILE__, __LINE__);
+        return false;
+    }
+    If (!copy($app->getParam('log_directory') . '/' . $old_file_name, $app->getParam('log_directory') . '/' . $new_file_name)) {
+        $app->raiseMsg(sprintf(_("Cannot archive log, copying old log file failed."), null), MSG_WARNING, __FILE__, __LINE__);
+        $app->logMsg(sprintf('Cannot archive log, copying old log file failed.', null), LOG_WARNING, __FILE__, __LINE__);
+        return false;
+    }
+
+    $app->raiseMsg(sprintf(_("Log file %s has been archived to %s."), $old_file_name, $new_file_name), MSG_NOTICE, __FILE__, __LINE__);
+    $app->logMsg(sprintf('Log file %s has been archived to %s.', $old_file_name, $new_file_name), LOG_NOTICE, __FILE__, __LINE__);
     return true;
 }
@@ -206,21 +213,25 @@
 function printLog($log_file)
 {
-    if (!is_file(App::getParam('log_directory') . '/' . $log_file)) {
-        App::raiseMsg(sprintf(_("Log file %s not found."), $log_file), MSG_WARNING, __FILE__, __LINE__);
-        App::logMsg(sprintf('Log file %s not found.', App::getParam('log_directory') . '/' . $log_file), LOG_WARNING, __FILE__, __LINE__);
-        return false;
-    }
-
-    readfile(App::getParam('log_directory') . '/' . $log_file);
+	$app =& App::getInstance();
+
+    if (!is_file($app->getParam('log_directory') . '/' . $log_file)) {
+        $app->raiseMsg(sprintf(_("Log file %s not found."), $log_file), MSG_WARNING, __FILE__, __LINE__);
+        $app->logMsg(sprintf('Log file %s not found.', $app->getParam('log_directory') . '/' . $log_file), LOG_WARNING, __FILE__, __LINE__);
+        return false;
+    }
+
+    readfile($app->getParam('log_directory') . '/' . $log_file);
 }
 
 function &getLog($log_file, $search_query='')
 {
-    if (!is_file(App::getParam('log_directory') . '/' . $log_file)) {
-        App::raiseMsg(sprintf(_("Log file %s not found."), $log_file), MSG_WARNING, __FILE__, __LINE__);
-        App::logMsg(sprintf('Log file %s not found.', App::getParam('log_directory') . '/' . $log_file), LOG_WARNING, __FILE__, __LINE__);
-        return false;
-    }
-    $log = file(App::getParam('log_directory') . '/' . $log_file);
+	$app =& App::getInstance();
+
+    if (!is_file($app->getParam('log_directory') . '/' . $log_file)) {
+        $app->raiseMsg(sprintf(_("Log file %s not found."), $log_file), MSG_WARNING, __FILE__, __LINE__);
+        $app->logMsg(sprintf('Log file %s not found.', $app->getParam('log_directory') . '/' . $log_file), LOG_WARNING, __FILE__, __LINE__);
+        return false;
+    }
+    $log = file($app->getParam('log_directory') . '/' . $log_file);
 
     if ('' != trim($search_query)) {
@@ -237,14 +248,15 @@
 {
     global $valid_file_extensions;
+	$app =& App::getInstance();
 
     // Get a list of all files in the log directory.
-    $dir_handle = opendir(App::getParam('log_directory'));
+    $dir_handle = opendir($app->getParam('log_directory'));
     $list = array();
     while ($dir_handle && ($file = readdir($dir_handle)) !== false) {
-        if (!preg_match('/^\./', $file) && is_file(App::getParam('log_directory') . '/' . $file) && in_array(strtolower(Upload::getFilenameExtension($file)), $valid_file_extensions)) {
+        if (!preg_match('/^\./', $file) && is_file($app->getParam('log_directory') . '/' . $file) && in_array(strtolower(Upload::getFilenameExtension($file)), $valid_file_extensions)) {
             $list[] = array(
                 'filename' => $file,
-                'filesize' => filesize(App::getParam('log_directory') . '/' . $file),
-                'modified' => filemtime(App::getParam('log_directory') . '/' . $file),
+                'filesize' => filesize($app->getParam('log_directory') . '/' . $file),
+                'modified' => filemtime($app->getParam('log_directory') . '/' . $file),
             );
         }
Index: trunk/services/password.php
===================================================================
--- trunk/services/password.php	(revision 124)
+++ trunk/services/password.php	(revision 136)
@@ -27,7 +27,7 @@
 if (getFormData('boomerang', false) && isset($_SERVER['HTTP_REFERER'])) {
     // We remember which page we came from so we can go back there.
-    App::setBoomerangURL($_SERVER['HTTP_REFERER'], 'admin_password');
+    $app->setBoomerangURL($_SERVER['HTTP_REFERER'], 'admin_password');
 }
-App::sslOn();
+$app->sslOn();
 
 switch (getFormData('op')) {
@@ -50,12 +50,12 @@
     if (!$fv->anyErrors() && false === $auth->authenticate($auth->getVal('username'), $frm['oldpassword'])) {
         $fv->addError('oldpassword', _("Your <strong>Old password</strong> failed authentication."));
-        App::logMsg(sprintf(_("Password change failed for %s, using (md5ed) password: %s"), $auth->getVal('username'), md5($frm['oldpassword'])), LOG_NOTICE, __FILE__, __LINE__);
+        $app->logMsg(sprintf(_("Password change failed for %s, using (md5ed) password: %s"), $auth->getVal('username'), md5($frm['oldpassword'])), LOG_NOTICE, __FILE__, __LINE__);
     }
 
     if (!$fv->anyErrors()) {
         $auth->setPassword(null, $frm['newpassword']);
-        App::logMsg(sprintf(_("Password change successful for %s"), $auth->getVal('username')), LOG_INFO, __FILE__, __LINE__);
-        App::raiseMsg(sprintf(_("Password change successful for %s"), $auth->getVal('username')), MSG_SUCCESS, __FILE__, __LINE__);
-        App::dieBoomerangURL('admin_password');
+        $app->logMsg(sprintf(_("Password change successful for %s"), $auth->getVal('username')), LOG_INFO, __FILE__, __LINE__);
+        $app->raiseMsg(sprintf(_("Password change successful for %s"), $auth->getVal('username')), MSG_SUCCESS, __FILE__, __LINE__);
+        $app->dieBoomerangURL('admin_password');
     }
     break;
Index: trunk/services/versions.php
===================================================================
--- trunk/services/versions.php	(revision 124)
+++ trunk/services/versions.php	(revision 136)
@@ -8,5 +8,5 @@
 
 $auth->requireLogin();
-App::sslOn();
+$app->sslOn();
 
 require_once 'codebase/lib/RecordVersion.inc.php';
@@ -20,8 +20,8 @@
 
 // Query arguments to retain their values between page requests.
-App::carryQuery('record_table');
-App::carryQuery('record_key');
-App::carryQuery('record_val');
-App::carryQuery('version_title');
+$app->carryQuery('record_table');
+$app->carryQuery('record_key');
+$app->carryQuery('record_val');
+$app->carryQuery('version_title');
 
 // Titles and navigation header.
@@ -39,12 +39,12 @@
 
 if ('' == $version_id && ('' == $record_table || '' == $record_key || '' == $record_val)) {
-    App::raiseMsg(_("Record not specified for versioning."), MSG_WARNING, __FILE__, __LINE__);
-    App::logMsg('Record not specified for versioning.', LOG_WARNING, __FILE__, __LINE__);
-    App::dieBoomerangURL();
+    $app->raiseMsg(_("Record not specified for versioning."), MSG_WARNING, __FILE__, __LINE__);
+    $app->logMsg('Record not specified for versioning.', LOG_WARNING, __FILE__, __LINE__);
+    $app->dieBoomerangURL();
 }
 
 if (getFormData('boomerang', false) && isset($_SERVER['HTTP_REFERER'])) {
     // We remember which page we came from so we can go back there.
-    App::setBoomerangURL($_SERVER['HTTP_REFERER'], 'versions');
+    $app->setBoomerangURL($_SERVER['HTTP_REFERER'], 'versions');
 }
 
@@ -53,5 +53,5 @@
 
 case _("Cancel") :
-    App::dieBoomerangURL('versions', false);
+    $app->dieBoomerangURL('versions', false);
     break;
 
@@ -68,5 +68,5 @@
     $current = $version->getCurrent($record_table, $record_key, $record_val);
     if (serialize($data) == serialize($current)) {
-        App::raiseMsg(sprintf(_("Version <strong>%s</strong> is identical to the current record"), $version_id), MSG_NOTICE, __FILE__, __LINE__);
+        $app->raiseMsg(sprintf(_("Version <strong>%s</strong> is identical to the current record"), $version_id), MSG_NOTICE, __FILE__, __LINE__);
     }
     $nav->addPage(sprintf(_("Difference between version %s (%s) and current record."), $version_id, $versionrecord['version_datetime']));
@@ -86,9 +86,9 @@
         // Create version of this restored record as the "current" version.
         $version->create($record_table, $record_key, $record_val, $v['version_title']);
-        App::raiseMsg(sprintf(_("The record <strong>%s</strong> has been replaced with <strong>%s</strong> version <strong>%s</strong> from <strong>%s</strong>."), getFormData('version_title'), $v['version_title'], $version_id, $v['version_datetime']), MSG_SUCCESS, __FILE__, __LINE__);
-        App::dieBoomerangURL('versions', array('break_list_cache'=>'true', false));
+        $app->raiseMsg(sprintf(_("The record <strong>%s</strong> has been replaced with <strong>%s</strong> version <strong>%s</strong> from <strong>%s</strong>."), getFormData('version_title'), $v['version_title'], $version_id, $v['version_datetime']), MSG_SUCCESS, __FILE__, __LINE__);
+        $app->dieBoomerangURL('versions', array('break_list_cache'=>'true', false));
     } else {
-        App::raiseMsg(_("Version restoration failed."), MSG_ERR, __FILE__, __LINE__);
-        App::dieURL($_SERVER['PHP_SELF']);
+        $app->raiseMsg(_("Version restoration failed."), MSG_ERR, __FILE__, __LINE__);
+        $app->dieURL($_SERVER['PHP_SELF']);
     }
     break;
@@ -101,6 +101,6 @@
         $main_template = 'versions_list.ihtml';
     } else {
-        App::raiseMsg(sprintf(_("No saved versions available for this record"), null), MSG_NOTICE, __FILE__, __LINE__);
-        App::dieBoomerangURL('versions');
+        $app->raiseMsg(sprintf(_("No saved versions available for this record"), null), MSG_NOTICE, __FILE__, __LINE__);
+        $app->dieBoomerangURL('versions');
     }
 }
Index: trunk/tests/AppTest.php
===================================================================
--- trunk/tests/AppTest.php	(revision 124)
+++ trunk/tests/AppTest.php	(revision 136)
@@ -32,5 +32,5 @@
     function test_getinstance()
     {
-        $thisapp =& App::getinstance();
+        $thisapp =& App::getInstance();
         $this->assertTrue(serialize($thisapp) == serialize($this->App), 'Objects do not match across instantiations.');
     }
@@ -71,5 +71,7 @@
     function test_dbquery()
     {
-        $qid = DB::query("SELECT 2 + 2");
+		$db =& DB::getInstance();
+	
+        $qid = $db->query("SELECT 2 + 2");
         list($result) = mysql_fetch_row($qid);
         $this->assertEquals('4', $result);
@@ -78,7 +80,8 @@
     function test_raisemsg()
     {
+        $app =& App::getInstance();
         $expected = 'My message';
-        App::raiseMsg($expected, MSG_NOTICE, __FILE__, __LINE__);
-        $msg = current($_SESSION[$this->App->app]['messages']);
+        $app->raiseMsg($expected, MSG_NOTICE, __FILE__, __LINE__);
+        $msg = current($_SESSION[$this->App->_ns]['messages']);
         $this->assertEquals($expected, $msg['message']);
     }
@@ -87,5 +90,6 @@
     {
         ob_start();
-        App::printraisedmessages();
+        $app =& App::getInstance();
+        $app->printraisedmessages();
         $result = ob_get_clean();
         $this->assertContains('My message', $result, 'Raised message not found in output.');
@@ -94,6 +98,7 @@
     function test_logmsg()
     {
+        $app =& App::getInstance();
         $file = $this->App->getParam('log_directory') . '/' . $this->App->getParam('log_filename');
-        App::logMsg('Test log message', LOG_DEBUG, __FILE__, __LINE__);
+        $app->logMsg('Test log message', LOG_DEBUG, __FILE__, __LINE__);
         if ($result = file($file)) {
             $result = end($result);
@@ -106,6 +111,7 @@
     function test_ohref()
     {
+        $app =& App::getInstance();
         $_GET['arg1'] = 'A';
-        $result = App::ohref('/some/url.php', array('arg1'), true);
+        $result = $app->ohref('/some/url.php', array('arg1'), true);
         $this->assertContains(session_name(), $result, 'SSID not found in URL.');
         $this->assertContains('arg1=A', $result, 'Argument not passed through.');
@@ -114,6 +120,7 @@
     function test_printhiddensession()
     {
+        $app =& App::getInstance();
         ob_start();
-        App::printhiddensession();
+        $app->printhiddensession();
         $result = ob_get_clean();
         $this->assertContains(session_name(), $result);
@@ -122,5 +129,6 @@
 //     function test_dieurl()
 //     {
-//         App::dieURL('/die/to/this/url.php');
+//         $app =& App::getInstance();
+//         $app->dieURL('/die/to/this/url.php');
 //     }
 //
Index: trunk/tests/Auth_FileTest.php
===================================================================
--- trunk/tests/Auth_FileTest.php	(revision 124)
+++ trunk/tests/Auth_FileTest.php	(revision 136)
@@ -23,5 +23,6 @@
         require dirname(__FILE__) . '/_config.inc.php';
         require_once '../lib/Auth_File.inc.php';
-        $this->Auth_File =& new Auth_File(array('htpasswd_file' => dirname(__FILE__) . '/_test_htpasswd'));
+        $this->Auth_File =& new Auth_File('test_auth');
+        $this->Auth_File->setParam(array('htpasswd_file' => dirname(__FILE__) . '/_test_htpasswd'));
     }
 
@@ -44,5 +45,5 @@
         $result = $this->Auth_File->login('testuser', 'testpass');
         $this->assertTrue($result, 'testuser login failed.');
-        $this->assertTrue($_SESSION['_auth']['authenticated'], 'testuser authentication not found in session.');
+        $this->assertTrue($_SESSION[$this->Auth_File->_ns]['authenticated'], 'testuser authentication not found in session.');
     }
 
@@ -51,5 +52,5 @@
         $result = $this->Auth_File->login('testuser', 'testpass');
         $this->Auth_File->clearauth();
-        $this->assertFalse($_SESSION['_auth']['authenticated'], 'testuser authentication not false in session.');
+        $this->assertFalse($_SESSION[$this->Auth_File->_ns]['authenticated'], 'testuser authentication not false in session.');
     }
 
Index: trunk/tests/Auth_SQLTest.php
===================================================================
--- trunk/tests/Auth_SQLTest.php	(revision 124)
+++ trunk/tests/Auth_SQLTest.php	(revision 136)
@@ -21,5 +21,5 @@
     function setUp()
     {
-        require dirname(__FILE__) . '/_config.inc.php';
+	    require dirname(__FILE__) . '/_config.inc.php';
         require_once '../lib/Auth_SQL.inc.php';
         $this->Auth_SQL =& new Auth_SQL('testauth');
@@ -29,5 +29,6 @@
             'db_login_table'    => 'test_login_tbl',
             'login_url'         => '/login.php',
-            'blocking'          => true
+            'blocking'          => true,
+            'encryption_type' => AUTH_ENCRYPT_MD5_HARDENED,
         ));
 
@@ -36,5 +37,6 @@
 
         // Insert test data.
-        DB::query("
+        $db =& DB::getInstance();
+        $db->query("
             INSERT INTO test_user_tbl (
                 username,
@@ -46,5 +48,5 @@
             ) VALUES (
                 'testuser',
-                md5('testpass'),
+                '" . $this->Auth_SQL->encryptPassword('testpass') . "',
                 'John',
                 'Doe',
@@ -58,7 +60,9 @@
     function tearDown()
     {
-        unset($this->Auth_SQL);
-        DB::query("DROP TABLE IF EXISTS test_user_tbl");
-        DB::query("DROP TABLE IF EXISTS test_login_tbl");
+    	$db =& DB::getInstance();
+	
+	    unset($this->Auth_SQL);
+        $db->query("DROP TABLE IF EXISTS test_user_tbl");
+        $db->query("DROP TABLE IF EXISTS test_login_tbl");
     }
 
@@ -66,10 +70,10 @@
     {
         $this->Auth_SQL->setval('testuserkey', 'testuserval');
-        $this->assertEquals('testuserval', $_SESSION[$this->Auth_SQL->_sess]['user_data']['testuserkey']);
+        $this->assertEquals('testuserval', $_SESSION[$this->Auth_SQL->_ns]['user_data']['testuserkey']);
     }
 
     function test_getval()
     {
-        $_SESSION[$this->Auth_SQL->_sess]['user_data']['testuserkey'] = 'testuserval';
+        $_SESSION[$this->Auth_SQL->_ns]['user_data']['testuserkey'] = 'testuserval';
         $val = $this->Auth_SQL->getVal('testuserkey');
         $this->assertEquals('testuserval', $val);
@@ -107,5 +111,5 @@
         $this->assertTrue($true, 'User login failed, but should have succeeded.');
 
-        echo "Testing wrong password...\n";
+        // Testing wrong password.
         $false = $this->Auth_SQL->authenticate('testuser', 'wrongpass');
 
@@ -122,6 +126,6 @@
         $after_logged_in = $this->Auth_SQL->isloggedin();
         $this->assertFalse($after_logged_in, '3. User is still logged in but should not be.');
-
-        echo "Testing wrong password...\n";
+        
+        // Testing wrong password.
         $login2 = $this->Auth_SQL->login('testuser', 'wrongpass');
         $this->assertFalse($login2, '4. User login succeeded, but should have failed.');
@@ -140,7 +144,9 @@
     function test_blockaccount()
     {
+		$db =& DB::getInstance();
+	
         $this->Auth_SQL->login('testuser', 'testpass');
         $this->Auth_SQL->blockaccount(null, 'blocktestuser');
-        $qid = DB::query("
+        $qid = $db->query("
             SELECT blocked_reason
             FROM test_user_tbl
@@ -152,10 +158,12 @@
     function test_unblockaccount()
     {
-        DB::query("
+		$db =& DB::getInstance();
+	
+        $db->query("
             UPDATE test_user_tbl SET blocked_reason = 'blocktestuser'
         ");
         $this->Auth_SQL->unblockaccount();
 
-        $qid = DB::query("
+        $qid = $db->query("
             SELECT blocked_reason
             FROM test_user_tbl
@@ -185,17 +193,41 @@
     function test_encryptpassword()
     {
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_MD5));
         $result = $this->Auth_SQL->encryptpassword('123');
         $this->assertEquals('202cb962ac59075b964b07152d234b70', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_MD5_HARDENED));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('c55e4ac608a8768ecd758fab971b0646', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_SHA1));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('40bd001563085fc35165329ea1ff5c5ecbdbbeef', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_SHA1_HARDENED));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('33d90af96a5928ac93cbd41fc436e8c55d2768c2', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_PLAINTEXT));
+        $result = $this->Auth_SQL->encryptpassword('123');
+        $this->assertEquals('123', $result);
+
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_CRYPT));
+        $result = $this->Auth_SQL->encryptpassword('123', 'saltstring');
+        $this->assertEquals('saEZ6MlWYV9nQ', $result);
     }
 
     function test_setpassword()
     {
+		$db =& DB::getInstance();
+	
+        $this->Auth_SQL->setParam(array('encryption_type' => AUTH_ENCRYPT_SHA1_HARDENED));
         $this->Auth_SQL->setpassword(null, '123');
-        $qid = DB::query("
+        $qid = $db->query("
             SELECT userpass
             FROM test_user_tbl
         ");
         list($pass) = mysql_fetch_row($qid);
-        $this->assertEquals('202cb962ac59075b964b07152d234b70', $pass);
+        $this->assertEquals('33d90af96a5928ac93cbd41fc436e8c55d2768c2', $pass);
     }
 
Index: trunk/tests/DBSessionHandlerTest.php
===================================================================
--- trunk/tests/DBSessionHandlerTest.php	(revision 124)
+++ trunk/tests/DBSessionHandlerTest.php	(revision 136)
@@ -24,13 +24,7 @@
         require_once '../lib/DBSessionHandler.inc.php';
         session_write_close();
-        $this->DBSessionHandler = new DBSessionHandler($app->db);
-        $this->DBSessionHandler = new DBSessionHandler(null, array(
-            'db_server' => $app->getParam('db_server'),
-            'db_name' => $app->getParam('db_name'),
-            'db_user' => $app->getParam('db_user'),
-            'db_pass' => $app->getParam('db_pass'),
-            'db_always_debug' => $app->getParam('db_always_debug'),
-            'db_debug' => $app->getParam('db_debug'),
-            'db_die_on_failure' => $app->getParam('db_die_on_failure'),
+        $this->DBSessionHandler = new DBSessionHandler($app->db, array(
+            'db_table' => 'session_tbl',
+            'create_table' => true,
         ));
     }
